#include<bits/stdc++.h>
#include<iostream>
long n,x,k,s,L,D;
int main(){
	using namespace std;
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);	
cin>>n>>x>>k;

L=k;
D=k;
	for(int i=0;i<n-1;i++){
		cin>>k;
		if(k<L)
		L=k;
		if(k>D)
		D=k;
	}
	if(x>(L+D)/2)
	s=abs(D-x)+abs(D-L);
	else
	s=abs(L-x)+abs(L-D);
	cout<<s;
	return 0;
}